| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Attributes | List of all members
tagStationInfo Struct Reference

Holds all dissection state for a single PROFINET IO station, spanning identity, frame layout, GSD metadata, and object lists. More...

`#include <packet-pn.h>`

## Public Attributes
char * | typeofstation
char * | nameofstation
uint16_t | u16Vendor_id
uint16_t | u16Device_id
uint16_t | ioDataObjectNr_in
uint16_t | ioDataObjectNr_out
uint16_t | iocsNr_in
uint16_t | iocsNr_out
bool | gsdFound
bool | gsdPathLength
char * | gsdLocation
wmem_list_t * | iocs_data_in
wmem_list_t * | iocs_data_out
wmem_list_t * | ioobject_data_in
wmem_list_t * | ioobject_data_out
wmem_list_t * | diff_module
bool | filled_with_objects

## Detailed Description

Holds all dissection state for a single PROFINET IO station, spanning identity, frame layout, GSD metadata, and object lists.

## Member Data Documentation

## ◆ diff_module

wmem_list_t* tagStationInfo::diff_module

List of moduleDiffInfo entries for modules whose ident number differs from the expected value.

## ◆ filled_with_objects

bool tagStationInfo::filled_with_objects

True if this station's object lists have been populated from frames that arrived without an established AR.

## ◆ gsdFound

bool tagStationInfo::gsdFound

True if a matching GSD/GSDML file was located for this station.

## ◆ gsdLocation

char* tagStationInfo::gsdLocation

File system path or URI to the GSD/GSDML file for this station.

## ◆ gsdPathLength

bool tagStationInfo::gsdPathLength

True if the GSD file path length is within the permitted bounds.

## ◆ iocs_data_in

wmem_list_t* tagStationInfo::iocs_data_in

List of incoming iocsObject entries describing consumer status slots in the frame.

## ◆ iocs_data_out

wmem_list_t* tagStationInfo::iocs_data_out

List of outgoing iocsObject entries describing consumer status slots in the frame.

## ◆ iocsNr_in

uint16_t tagStationInfo::iocsNr_in

Number of incoming IOCS (IO Consumer Status) objects in the cyclic data frame.

## ◆ iocsNr_out

uint16_t tagStationInfo::iocsNr_out

Number of outgoing IOCS objects in the cyclic data frame.

## ◆ ioDataObjectNr_in

uint16_t tagStationInfo::ioDataObjectNr_in

Number of incoming IO data objects carried in the cyclic data frame.

## ◆ ioDataObjectNr_out

uint16_t tagStationInfo::ioDataObjectNr_out

Number of outgoing IO data objects carried in the cyclic data frame.

## ◆ ioobject_data_in

wmem_list_t* tagStationInfo::ioobject_data_in

List of incoming ioDataObject entries describing IO data slots in the frame.

## ◆ ioobject_data_out

wmem_list_t* tagStationInfo::ioobject_data_out

List of outgoing ioDataObject entries describing IO data slots in the frame.

## ◆ nameofstation

char* tagStationInfo::nameofstation

Station name as configured in the network, used for identification.

## ◆ typeofstation

char* tagStationInfo::typeofstation

Human-readable string describing the station type (e.g. "IO-Device").

## ◆ u16Device_id

uint16_t tagStationInfo::u16Device_id

Vendor-assigned device ID identifying the specific product model.

## ◆ u16Vendor_id

uint16_t tagStationInfo::u16Vendor_id

PROFINET vendor ID assigned by the PNO to the device manufacturer.

The documentation for this struct was generated from the following file:

- /builds/wireshark/wireshark/plugins/epan/profinet/packet-pn.h